## NAME

r.ros - Generates three, or four raster map layers showing 1) the base (perpendicular) rate of spread (ROS), 2) the maximum (forward) ROS, 3) the direction of the maximum ROS, and optionally 4) the maximum potential spotting distance.

## KEYWORDS

raster, fire

## SYNOPSIS

r.ros
r.ros help
r.ros [-vs] model=string [moisture_1h=string] [moisture_10h=string] [moisture_100h=string] moisture_live=string [velocity=string] [direction=string] [slope=string] [aspect=string] [elevation=string] output=string [--overwrite] [--verbose] [--quiet]

### Flags:

-v
  Run verbosely
-s
  Also produce maximum SPOTTING distance
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

model=string
  Name of raster map containing fuel MODELs
moisture_1h=string
  Name of raster map containing the 1-HOUR fuel MOISTURE (%)
moisture_10h=string
  Name of raster map containing the 10-HOUR fuel MOISTURE (%)
moisture_100h=string
  Name of raster map containing the 100-HOUR fuel MOISTURE (%)
moisture_live=string
  Name of raster map containing LIVE fuel MOISTURE (%)
velocity=string
  Name of raster map containing midflame wind VELOCITYs (ft/min)
direction=string
  Name of raster map containing wind DIRECTIONs (degree)
slope=string
  Name of raster map containing SLOPE (degree)
aspect=string
  Name of raster map containing ASPECT (degree, anti-clockwise from E)
elevation=string
  Name of raster map containing ELEVATION (m) (required w/ -s)
output=string
  Name of raster map to contain results (several new layers)

## DESCRIPTION

r.ros generates the base ROS value, maximum ROS value, direction of the maximum ROS, and optionally the maximum potential spotting distance of a wildfire for each raster cell in the current geographic region. The calculation of the two ROS values for each raster cell is based on the Fortran code by Pat Andrews (1983) of the Northern Forest Fire Laboratory, USDA Forest Service. The direction of the maximum ROS results from the vector addition of the forward ROS in wind direction and that in upslope direction. The spotting distance, if required, will be calculated by a separate function, spot_dist(), which is based on Lathrop and Xu (in preparation), Chase (1984) and Rothermel (1991). These three or four raster map layers serve as inputs for another GRASS raster program r.spread. More information on r.ros and r.spread can be found in Xu (1994).

## Parameters:

model=name
  Name of an existing raster map layer in the user's current mapset search path containing the standard fuel models defined by the USDA Forest Service. Valid values are 1-13; other numbers are recognized as barriers by r.ros.
moisture_1h=name
  Name of an existing raster map layer in the user's current mapset search path containing the 1-hour (<.25") fuel moisture (percentage content multiplied by 100).
moisture_10h=name
  Name of an existing raster map layer in the user's current mapset search path containing the 10-hour (.25-1") fuel moisture (percentage content multiplied by 100).
moisture_100h=name
  Name of an existing raster map layer in the user's current mapset search path containing the 100-hour (1-3") fuel moisture (percentage content multiplied by 100).
moisture_live=name
  Name of an existing raster map layer in the user's current mapset search path containing live (herbaceous) fuel fuel moisture (percentage content multiplied by 100).
velocity=name
  Name of an existing raster map layer in the user's current mapset search path containing wind velocities at half of the average flame height (feet/minute).
direction=name
  Name of an existing raster map layer in the user's current mapset search path containing wind direction, clockwise from north (degree).
slope=name
  Name of an existing raster map layer in the user's current mapset search path containing topographic slope (degree).
aspect=name
  Name of an existing raster map layer in the user's current mapset search path containing topographic aspect, counter-clockwise from east (GRASS convention) (degree).
elevation=name
  Name of an existing raster map layer in the user's current mapset search path containing elevation (meters).
output=name
  Prefix of new raster map layers in the user's current mapset to contain
  1) the base (perpendicular) ROS (cm/minute);
  2) the maximum (forward) ROS (cm/minute),
  3) the direction of the maximum ROS, clockwise from north (degree), and optionally
  4) the maximum potential spotting distance (meters).
  If 'my_ros' is given as the output name, then r.ros automatically assigns 'my_ros.base', 'my_ros.max', 'my_ros.maxdir', and optionally, 'my_ros.spotdist' as the names for the actual output map layers.

## OPTIONS

r.ros can be run either non-interactively or interactively. The program is run interactively if the user types r.ros without specifying flag settings and parameter values on the command line. In this case, the user will be prompted for input. The program will be run non-interactively if the user specifies the names of raster map layers and any desired options on the command line, using the form:
r.ros [-vs] model=name [moisture_1h=name] [moisture_10h=name] [moisture_100h=name] moisture_live=name [velocity=name] [direction=name] [slope=name] [aspect=name] [elevation=name] output=name

If the options moisture_1h=name, moisture_10h=name, and moisture_100h=name are partially given, the program will assign values to the missing option using the formula:

moisture_100h = moisture_10h + 1 = moisture_1h + 2.

However at least one of them should be given. Options velocity=name and direction=name must be in pair, whether given or not. If none is given, the program will assume a no-wind condition. Options slope=name and aspect=name must be in pair, whether given or not. If none is given, the program will assume a topographically flat condition. Option elevation=name must be given if -s option is used.

## EXAMPLE

Assume we have inputs, the following generates ROSes and spotting distances:

r.ros -vs model=fire_model moisture_1h=1hour_moisture moisture_live=live_moisture velocity=wind_speed direction=wind_direction slope=slope aspect=aspect elevation=elevation output=my_ros

## NOTES

1. r.ros is supposed to be run before running another GRASS program r.spread. The combination of the two forms a simulation of the spread of wildfires.
2. The inputs to r.ros should be in proper units.
3. The output units for the base and maximum ROSes are in cm/minute rather than ft/minute, which is due to that a possible zero ft/minute base ROS value and a positive integer ft/minute maximum ROS would result in calculation failure in the r.spread program.
4. The user needs to provide only ONE output name even the program actually generates THREE or FOUR map layers.
5. The rules for optional parameters must be followed.

## SEE ALSO

g.region, r.slope.aspect, r.spread

## REFERENCES

Albini, F. A., 1976, Computer-based models of wildland fire behavior: a user's manual, USDA Forest Service, Intermountain Forest and Range Experiment Station, Ogden, Utah.
Andrews, P. L., 1986, BEHAVE: fire behavior prediction and fuel modeling system -- BURN subsystem, Part 1, USDA Forest Service, Intermountain Research Station, Gen. Tech. Rep. INT-194, Ogden, Utah.
Chase, Carolyn, H., 1984, Spotting distance from wind-driven surface fires -- extensions of equations for pocket calculators, US Forest Service, Res. Note INT-346, Ogden, Utah.
Lathrop, Richard G. and Jianping Xu, A geographic information system-based approach for calculating spotting distance. (in preparation)
Rothermel, R. E., 1972, A mathematical model for predicting fire spread in wildland fuels, USDA Forest Service, Intermountain Forest and Range Experiment Station, Res. Pap. INT-115, Ogden, Utah.
Rothermel, Richard, 1991, Predicting behavior and size of crown fires in the northern Rocky Mountains, US Forest Service, Res. Paper INT-438, Ogden, Utah.
Xu, Jianping, 1994, Simulating the spread of wildfires using a geographic information system and remote sensing, Ph. D. Dissertation, Rutgers University, New Brunswick, New Jersey.

## AUTHOR

Jianping Xu, Center for Remote Sensing and Spatial Analysis, Rutgers University.

Last changed: $Date: 2009-05-23 10:12:36 +0200 (so, 23 V 2009) $

Main index - raster index - Full index

© 2003-2014 GRASS Development Team